globus-gridftp-server (13.25-5) unstable; urgency=medium

  * Replace /var/run with /run in systemd unit file

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 01 Apr 2024 06:07:01 +0200

globus-gridftp-server (13.25-4) unstable; urgency=medium

  * Handle 64 bit time_t on 32 bit systems

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 19 Mar 2024 18:45:32 +0100

globus-gridftp-server (13.25-3) unstable; urgency=medium

  * Handle 64 bit time_t on 32 bit systems

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 16 Mar 2024 04:39:03 +0100

globus-gridftp-server (13.25-2) unstable; urgency=medium

  * Enable bind-now hardening
  * Drop dependency on obsolete lsb-base

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 06 Mar 2024 18:30:58 +0100

globus-gridftp-server (13.25-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062153

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 18:26:30 +0000

globus-gridftp-server (13.25-1) unstable; urgency=medium

  * New GCT release v6.2.20240202
  * Drop patches included in the release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 09 Feb 2024 13:48:21 +0100

globus-gridftp-server (13.24-3) unstable; urgency=medium

  * Fix buffer overflow in test

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 28 Nov 2022 08:50:37 +0100

globus-gridftp-server (13.24-2) unstable; urgency=medium

  * Drop old debug symbol migration from 2017

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 05 Jul 2022 22:01:07 +0200

globus-gridftp-server (13.24-1) unstable; urgency=medium

  * New GCT release v6.2.20220524
  * Drop patches included in the release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 25 May 2022 22:13:18 +0200

globus-gridftp-server (13.22-2) unstable; urgency=medium

  * Use sha256 hash when generating test certificates
  * Fix some compiler warnings
  * Fix unbalanced mutex lock/unlock

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 12 May 2022 17:22:01 +0200

globus-gridftp-server (13.22-1) unstable; urgency=medium

  * Typo fixes

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 27 Aug 2021 09:54:30 +0200

globus-gridftp-server (13.21-1) unstable; urgency=medium

  * Restore log transfer functionality that was accidentally removed
  * Change to debhelper compat level 13
  * Remove override_dh_missing rule (--fail-missing is default)
  * Add systemd unit files

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 14 Dec 2020 23:01:04 +0100

globus-gridftp-server (13.20-1) unstable; urgency=medium

  * Fake stat responses when slow listings enabled (13.12)
  * Send markers in stream mode when requested by 'OPTS RETR Markers=n;'
    (13.13)
  * Update documentation links to always point to the latest documentation
    (13.14)
  * Fix doxygen warning (13.15)
  * Remove obsolete acconfig.h file (13.16)
  * Add simple checksum read throttling (13.17)
  * Add support for supported checksum advertising (13.18)
  * Add support for SHA1, SHA256, SHA512 to POSIX DSI (13.18)
  * Avoid unknown secondary groups in test. Causes failures on launchpad
    (13.19)
  * Fix problems between dual-stack (IPv4/IPv6) servers and IPv4-only clients
    (13.20)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 02 Sep 2019 16:34:06 +0200

globus-gridftp-server (13.11-2) unstable; urgency=medium

  * Convert debian/rules to dh tool
  * Change to debhelper compat level 10
  * Update documentation links in README file
  * Add -p flag to dh_installinit calls to make debhelper 12.2 happy

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 12 Jul 2019 16:34:39 +0200

globus-gridftp-server (13.11-1) unstable; urgency=medium

  * Improvements for filesystems that encounter listing timeouts (13.10)
  * Remove usage statistics collection support (13.11)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 27 Feb 2019 20:00:53 +0100

globus-gridftp-server (13.9-1) unstable; urgency=medium

  * Fix data_node restrict path
  * Bump GCT release version to 6.2

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 16 Nov 2018 14:17:57 +0100

globus-gridftp-server (13.8-1) unstable; urgency=medium

  * Switch upstream to Grid Community Toolkit
  * Grid Community Toolkit merged a number of outstanding pull requests (13.0)
    - Add option to send IPv6 address in EPSV response
    - Add function to get the command string
    - Be more selective in what config files we skip
    - Add unames for GNU/Hurd and kfreebsd to chroot setup script
  * Merge GT6 update 12.5 into GCT (13.1)
  * First Grid Community Toolkit release (13.2)
    - Disable usage statistics reporting by default
    - Add man page for globus-gridftp-password - contribution from IGE
  * Use 2048 bit RSA key for tests (13.3)
  * Merge GT6 update 12.6 into GCT (13.4)
  * Merge GT6 update 12.7 into GCT (13.5)
  * Merge GT6 update 12.8 into GCT (13.6)
  * Merge GT6 update 12.9 into GCT (13.7)
  * Merge GT6 update 12.12 into GCT (13.8)
  * Drop patches globus-gridftp-server-unames.patch, -epsv-ip.patch,
    -cmd-string.patch and -config.patch (accepted upstream)
  * Drop the man page for globus-gridftp-password from the source package
    (accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 16 Sep 2018 03:16:31 +0200

globus-gridftp-server (12.12-1) unstable; urgency=medium

  * GT6 update:
    - Use 2048 bit keys to support openssl 1.1.1 (12.10)
    - Log remote http connection address for legacy s3 transfers (12.11/12.12)
  * Drop patch globus-gridftp-server-2048-bits.patch (accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 01 Sep 2018 20:32:36 +0200

globus-gridftp-server (12.9-2) unstable; urgency=medium

  * Use 2048 bit RSA key for tests

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 26 Aug 2018 12:01:22 +0200

globus-gridftp-server (12.9-1) unstable; urgency=medium

  * GT6 update: Fix initscript status return codes

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 16 Aug 2018 16:54:24 +0200

globus-gridftp-server (12.8-1) unstable; urgency=medium

  * GT6 update: Fix daemon config parsing not catching env vars

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 21 Jul 2018 16:14:56 +0200

globus-gridftp-server (12.7-1) unstable; urgency=medium

  * GT6 update:
    - Force IPC encryption if server configuration requires
    - Fix old IPC bug making it hard to diagnose racy connection failures

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 17 Jul 2018 22:36:25 +0200

globus-gridftp-server (12.6-1) unstable; urgency=medium

  * GT6 update: win: fix path restrictions on /
  * Use update-rc.d defaults-disabled in maintainer scripts

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 17 Jun 2018 19:56:36 +0200

globus-gridftp-server (12.5-1) unstable; urgency=medium

  * GT6 update: win32 fix
  * Move VCS to salsa.debian.org

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 08 Apr 2018 16:08:09 +0200

globus-gridftp-server (12.4-1) unstable; urgency=medium

  * GT6 update
  * Ignore backup & packaging files in config.d

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 09 Nov 2017 11:35:32 +0100

globus-gridftp-server (12.3-1) unstable; urgency=medium

  * GT6 update

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 26 Sep 2017 12:43:28 +0200

globus-gridftp-server (12.2-2) unstable; urgency=medium

  * Migrate to dbgsym packages
  * Support DEB_BUILD_OPTIONS=nocheck

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 06 Jul 2017 12:58:33 +0200

globus-gridftp-server (12.2-1) unstable; urgency=medium

  * GT6 update
    - New error message format (12.0)
    - Configuration database (12.0)
    - Better delay for end of session ref check (12.1)
    - Fix tests when getgroups() does not return effective gid (12.2)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 26 Jun 2017 08:55:15 +0200

globus-gridftp-server (11.8-2) unstable; urgency=medium

  * Add patches from DPM developers:
    - Add an optional IPv6 address to EPSV response
    - Get command string

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 25 Apr 2017 16:36:58 +0200

globus-gridftp-server (11.8-1) unstable; urgency=medium

  * GT6 update: Updated man pages, add adler32 checksum support

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 11 Nov 2016 11:20:17 +0100

globus-gridftp-server (11.3-1) unstable; urgency=medium

  * GT6 update: Updates for OpenSSL 1.1.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 01 Sep 2016 16:47:36 +0200

globus-gridftp-server (11.1-1) unstable; urgency=medium

  * GT6 update
    - Fix forced order issues with restart (11.1)
    - Add forced ordering option (11.0)
    - Add Globus task id to transfer log (10.6)
    - Don't errantly kill a transfer due to timeout while client is still
      connected (10.5)
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 27 Jul 2016 18:26:45 +0200

globus-gridftp-server (10.4-1) unstable; urgency=medium

  * GT6 update
    - Fix broken remote_node auth without sharing (10.4)
    - Fix configuration for ipc_interface (10.3)
    - Fix remote_node connection failing when ipc_subject isn't used (10.3)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 20 May 2016 09:15:29 +0200

globus-gridftp-server (10.2-1) unstable; urgency=medium

  * GT6 update
    - Spelling (10.2)
    - Updates for https support (10.0)
    - Fix crash when storattr is used without modify (9.7)
    - Add SITE WHOAMI command to return currently authenticated user (9.6)
    - Update manpage for -encrypt-data (9.5)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 06 May 2016 16:31:50 +0200

globus-gridftp-server (9.4-2) unstable; urgency=medium

  * Update URLs (use toolkit.globus.org)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 16 Feb 2016 15:07:42 +0100

globus-gridftp-server (9.4-1) unstable; urgency=medium

  * GT6 update (fix mem error when sharing)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 13 Jan 2016 16:22:40 +0100

globus-gridftp-server (9.3-1) unstable; urgency=medium

  * GT6 update
    - Add configuration to require encrypted data channels (9.3)
    - More robust cmp function (9.2)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 26 Nov 2015 17:25:47 +0100

globus-gridftp-server (9.1-1) unstable; urgency=medium

  * GT6 update
    - fix for thread race crash between sequential transfers
    - fix for partial stat punting when passed a single entry
    - fix for double free on transfer failure race

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 09 Nov 2015 10:10:16 +0100

globus-gridftp-server (9.0-1) unstable; urgency=medium

  * GT6 update (add SITE STORATTR command and associated DSI api)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 28 Oct 2015 11:51:35 +0100

globus-gridftp-server (8.9-1) unstable; urgency=medium

  * GT6 update (Home directory fixes)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 26 Oct 2015 13:07:34 +0100

globus-gridftp-server (8.7-2) unstable; urgency=medium

  * Fix globus-gridftp-server-setup-chroot for kfreebsd and hurd

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 30 Aug 2015 15:14:41 +0200

globus-gridftp-server (8.7-1) unstable; urgency=medium

  * GT6 update (Improvements to globus-gridftp-server-setup-chroot)
  * Man page for globus-gridftp-server-setup-chroot now provided by
    upstream, remove the one from the debian source package
  * Add build depends on openssl and fakeroot needed for new tests

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 28 Aug 2015 09:01:21 +0200

globus-gridftp-server (8.1-1) unstable; urgency=medium

  * GT6 update (GT-622: GridFTP server crash with sharing group permissions)
  * Enable checks

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 06 Aug 2015 14:39:13 +0200

globus-gridftp-server (8.0-1) unstable; urgency=medium

  * GT6 update
  * Add update_bytes api that sets byte counters and range markers separately

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 29 Jul 2015 13:09:45 +0200

globus-gridftp-server (7.26-1) unstable; urgency=medium

  * GT6 update (man pages updates)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 20 Jun 2015 23:08:56 +0200

globus-gridftp-server (7.25-1) unstable; urgency=medium

  * GT6 update (Fix order of drivers when using netmgr)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 08 Apr 2015 15:37:48 +0200

globus-gridftp-server (7.24-1) unstable; urgency=medium

  * GT6 update
  * Fix netmanager crash (7.24)
  * Allow netmanager calls when taskid isn't set (7.24)
  * Fix threads commandline arg processing (7.23)
  * Prevent parse error on pre-init envs from raising assertion (7.23)
  * Restrict sharing based on username or group membership (7.21)
  * Don't enable udt without threads (7.21)
  * Environrment and threading config not loaded from config dir (7.21)
  * Ignore config.d files with a '.' in name (7.21)
  * Add recommends for the udt driver (7.21) - amd64 and i386 only

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 31 Mar 2015 10:07:49 +0200

globus-gridftp-server (7.20-1) unstable; urgency=medium

  * GT6 update (net mgr support, -help fix)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 20 Feb 2015 08:17:22 +0100

globus-gridftp-server (7.15-1) unstable; urgency=medium

  * GT6 update
  * Drop patch globus-gridftp-server-ipv6log.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 15 Nov 2014 15:06:10 +0100

globus-gridftp-server (7.12-1) unstable; urgency=medium

  * GT6 update
  * Drop patch globus-gridftp-server-deps.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 27 Oct 2014 07:08:04 +0100

globus-gridftp-server (7.11-1) unstable; urgency=medium

  * Update to Globus Toolkit 6.0
  * Drop GPT build system and GPT packaging metadata
  * Activate hardening flags (Closes: #734920)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 24 Sep 2014 09:45:15 +0200

globus-gridftp-server (6.38-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.5
  * Drop patch globus-gridftp-server-ac.patch (fixed upstream)
  * Implement Multi-Arch support
  * Split dbg package for Multi-Arch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 11 Nov 2013 11:31:47 +0100

globus-gridftp-server (6.19-2) unstable; urgency=low

  * Add arm64 to the list of 64 bit architectures
  * Don't use AM_CONFIG_HEADER (automake 1.13)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 26 May 2013 21:15:55 +0200

globus-gridftp-server (6.19-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.4

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 20 Feb 2013 14:51:01 +0100

globus-gridftp-server (6.16-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.3 (Closes: #690652)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 16 Dec 2012 18:50:24 +0100

globus-gridftp-server (6.14-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.2
  * Drop patch globus-gridftp-server-pw195.patch (was backport)
  * Drop patch globus-gridftp-server-format.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 23 Jul 2012 12:54:33 +0200

globus-gridftp-server (6.10-2) unstable; urgency=high

  * Backport security fix for JIRA ticket GT-195

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 25 May 2012 17:57:34 +0200

globus-gridftp-server (6.10-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.1
  * Drop patches globus-gridftp-server-deps.patch,
    globus-gridftp-server-funcgrp.patch, globus-gridftp-server-pathmax.patch
    and globus-gridftp-server-compat.patch (fixed upstream)
  * Drop globus-gridftp-server man page from packaging since it is now included
    in upstream sources
  * Add additional contributed man pages

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 29 Apr 2012 17:28:45 +0200

globus-gridftp-server (6.5-6) unstable; urgency=medium

  * Restore enum and struct member order for improved backward compatibility

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 12 Mar 2012 20:43:42 +0100

globus-gridftp-server (6.5-5) unstable; urgency=medium

  * The last update broke backwards compatibility and should have bumped
    the soname - so do it now
  * Add patch from upstream to reduce the chance of backward incompatible
    changes in the future

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 25 Feb 2012 08:14:53 +0100

globus-gridftp-server (6.5-4) unstable; urgency=low

  * debian/rules cleanup

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 24 Jan 2012 22:01:32 +0100

globus-gridftp-server (6.5-3) unstable; urgency=low

  * One more portability fix

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 21 Jan 2012 08:58:49 +0100

globus-gridftp-server (6.5-2) unstable; urgency=low

  * Portability fixes
  * Fix broken links in README file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 19 Jan 2012 05:31:25 +0100

globus-gridftp-server (6.5-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.0
  * Drop patches globus-gridftp-server-etc.patch,
    globus-gridftp-server-pathmax.patch and globus-gridftp-server-usr.patch
    (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 30 Dec 2011 03:45:53 +0100

globus-gridftp-server (3.33-3) unstable; urgency=low

  * Update contributed manpage
  * Fix wrong library name in package metadata (Closes: #641600)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 02 Oct 2011 14:40:47 +0200

globus-gridftp-server (3.33-2) unstable; urgency=low

  * Source default (Closes: #635011)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 26 Jul 2011 17:31:35 +0200

globus-gridftp-server (3.33-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.4

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 06 Jun 2011 15:05:57 +0200

globus-gridftp-server (3.28-3) unstable; urgency=low

  * Add README file
  * Add missing dependencies

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 27 Apr 2011 05:38:16 +0200

globus-gridftp-server (3.28-2) unstable; urgency=low

  * Add start-up script and man page for globus-gridftp-server

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 19 Apr 2011 08:56:19 +0200

globus-gridftp-server (3.28-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.3

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 27 Feb 2011 06:45:26 +0100

globus-gridftp-server (3.23-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.2

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 19 Jul 2010 13:51:09 +0200

globus-gridftp-server (3.21-2) unstable; urgency=low

  * Converting to package format 3.0 (quilt)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 04 Jun 2010 04:43:30 +0200

globus-gridftp-server (3.21-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.1

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 15 Apr 2010 17:09:19 +0200

globus-gridftp-server (3.19-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.0
  * Add debug package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 27 Jan 2010 15:33:50 +0100

globus-gridftp-server (3.17-2) unstable; urgency=low

  * Fix location of default config file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 09 Nov 2009 04:28:37 +0100

globus-gridftp-server (3.17-1) unstable; urgency=low

  * Initial release (Closes: #540259).

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 07 Aug 2009 07:24:28 +0200
